Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get tax group

Gets a single tax group including its markets and country tax percentages.

GET/api/v2/{team_slug}/{app_slug}/tax-groups/{tax_group_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
tax_group_idstring<uuid>required
Responses
200

OK

dataTaxGrouprequired
Show properties
idUUIDrequired
namestringrequired
slugstringrequired
descriptionstring | null
is_defaultboolean
marketsTaxGroupMarket[] | null
Show properties
Array of TaxGroupMarket
idUUIDrequired
namestring
slugstringrequired
localestring
currency_codestring
activeboolean
country_codesstring[] | null
country_tax_percentagesTaxGroupCountryTaxPercentage[] | null
Show properties
Array of TaxGroupCountryTaxPercentage
idUUIDrequired
country_codestringrequired
tax_percentagenumber<double>required
created_atstring<date-time>
updated_atstring<date-time> | null
created_atstring<date-time>
updated_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time> | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/tax-groups/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "description": "string",
    "is_default": true,
    "markets": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "locale": "string",
        "currency_code": "string",
        "active": true,
        "country_codes": [
          "string"
        ],
        "country_tax_percentages": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "country_code": "string",
            "tax_percentage": 0.1,
            "created_at": "2019-08-24T14:15:22Z",
            "updated_at": "2019-08-24T14:15:22Z"
          }
        ],
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}